Get Features Versions

Get Features Versions
Get the versions available for the given feature types

Get the list of versions available for the feature types passed in feature_type query parameter. Currently supported feature types are GEO_IP, IDPS_SIGNATURE, IP_REPUTATION, URL_DB.

Request
URI
GET
https://{api_host}/ssp/security-content/feature-versions
COPY
Query Parameters
string of array
feature_types
Required  

List of feature version string.


Authentication
This operation uses the following authentication methods.
Responses
200

Successful response.

Returns FeatureVersionListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineFeatureVersionListResult1
{
    "total_result_count": 3,
    "results": [
        {
            "feature_type": "IDPS_SIGNATURE",
            "versions": [
                "1.0",
                "2.0"
            ]
        },
        {
            "feature_type": "GEO_IP",
            "versions": [
                "1.0"
            ]
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/feature-versions?feature_types=v